## x2goclient 3.99.0.5

=== Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
CLIENT_DIR=$(SRC_DIR)/client_build
CLIENT_BINARY=$(CLIENT_DIR)/x2goclient

PLUGIN_DIR=$(SRC_DIR)/plugin_build
PLUGIN_BINARY=$(PLUGIN_DIR)/libx2goplugin.so

SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
SHAREDIR=$(PREFIX)/share
MANDIR=$(SHAREDIR)/man
MOZPLUGDIR=$(PREFIX)/lib/mozilla/plugins

all: build

build: build_client build_plugin build_man

build_client:
	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && qmake-qt4 ../x2goclient.pro
	cd $(CLIENT_DIR) && $(MAKE)

build_plugin:
	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin qmake-qt4 ../x2goclient.pro
	cd $(PLUGIN_DIR) && $(MAKE)

build_man:
	make -f Makefile.man2html build

clean: clean_client clean_plugin clean_man
	find . -type f -name '*.o' -exec rm -vf {} +
	find . -type f -name 'moc_*.cpp' -exec rm -vf {} +
	find . -type f -name 'ui_*.h' -exec rm -vf {} +
	find . -type f -name 'qrc_*.cpp' -exec rm -vf {} +
	rm -f x2goclient
	rm -f x2goclient.tag

clean_client:
	rm -fr $(CLIENT_DIR)

clean_plugin:
	rm -fr $(PLUGIN_DIR)

clean_man:
	make -f Makefile.man2html clean

install: install_client install_plugin install_man

install_client:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/applications
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2goclient/icons
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps
	$(INSTALL_PROGRAM) $(CLIENT_DIR)/x2goclient $(DESTDIR)$(BINDIR)/x2goclient
	$(INSTALL_FILE) desktop/x2goclient.desktop    $(DESTDIR)$(SHAREDIR)/applications/x2goclient.desktop
	$(INSTALL_FILE) icons/x2goclient.xpm          $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.xpm
	$(INSTALL_FILE) icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.png
	$(INSTALL_FILE) icons/128x128/x2gosession.png $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2gosession.png
	$(INSTALL_FILE) icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
	$(INSTALL_FILE) icons/16x16/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
	$(INSTALL_FILE) icons/64x64/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
	$(INSTALL_FILE) icons/32x32/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png

install_plugin:
	$(INSTALL_DIR) $(DESTDIR)$(MOZPLUGDIR)/
	$(INSTALL_PROGRAM) $(PLUGIN_DIR)/libx2goplugin.so $(DESTDIR)$(MOZPLUGDIR)/libx2goplugin.so

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/x2goclient.1    $(DESTDIR)$(MANDIR)/man1/x2goclient.1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2goclient.1

uninstall: uninstall_client uninstall_plugin uninstall_man

uninstall_client:
	$(RM_FILE) $(BINDIR)/x2goclient
	$(RM_FILE) $(SHAREDIR)/applications/x2goclient.desktop
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.xpm
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2gosession.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png
	$(RM_DIR) $(SHAREDIR)/applications
	$(RM_DIR) $(SHAREDIR)/x2goclient/icons
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/128x128/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/16x16/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/64x64/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/32x32/apps

uninstall_plugin:
	$(RM_FILE) $(MOZPLUGDIR)/libx2goplugin.so
	$(RM_DIR) $(MOZPLUGDIR)/

uninstall_man:
	$(RM_FILE) $(MANDIR)/man1/x2goclient.1.gz
	$(RM_DIR) $(MANDIR)/man1

=== debian/changelog ===
x2goclient (3.99.0.5-1) unstable; urgency=low

  * Initial package build (closes: #655602).
  * Add watch file for upstream tarball location.
  * Use source format 3.0 (quilt).

  [ Reinhard Tartler ]
  * Improve copyright file.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Jan 2012 16:01:30 +0100

=== debian/control ===
Source: x2goclient
Section: x11
Priority: extra
Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Reinhard Tartler <siretart@tauware.de>
Build-Depends:
 debhelper (>= 7.0.50~),
 libqt4-dev,
 libldap2-dev,
 libssh-dev (>= 0.4.7),
 libcups2-dev,
 libx11-dev,
 libxpm-dev,
 man2html-base | man2html
Standards-Version: 3.9.2
Homepage: http://wiki.x2go.org/
Vcs-Git: git://git.debian.org/collab-maint/x2go/x2goclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/x2goclient.git;a=summary

Package: x2goclient
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libssh-4 (>= 0.4.7),
 openssh-client,
 nxproxy
Recommends:
 openssh-server
Suggests:
 pinentry-x2go
Description: X2Go Client application (Qt4)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwith support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2goclient is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.

Package: x2goplugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssh-client,
 libssh-4 (>= 0.4.7),
 nxproxy
Recommends:
 openssh-server
Suggests:
 pinentry-x2go
Description: X2Go Client (Qt4) as browser plugin
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwith support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2goclient is a graphical client (qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.
 .
 This package provides x2goclient as QtBrowser-based Mozilla plugin.

=== debian/watch ===
version=3
http://code.x2go.org/releases/source/x2goclient/x2goclient_(.+)\.tar\.gz

## x2goclient 3.99.2.0

=== Makefile ===
--- 
+++ 
@@ -28,15 +28,17 @@
 build: build_client build_plugin build_man
 
 build_client:
+	lrelease x2goclient.pro
 	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && qmake-qt4 ../x2goclient.pro
 	cd $(CLIENT_DIR) && $(MAKE)
 
 build_plugin:
+	lrelease x2goclient.pro
 	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin qmake-qt4 ../x2goclient.pro
 	cd $(PLUGIN_DIR) && $(MAKE)
 
 build_man:
-	make -f Makefile.man2html build
+	${MAKE} -f Makefile.man2html build
 
 clean: clean_client clean_plugin clean_man
 	find . -type f -name '*.o' -exec rm -vf {} +

## x2goclient 3.99.2.1

=== Makefile ===
--- 
+++ 
@@ -41,10 +41,10 @@
 	${MAKE} -f Makefile.man2html build
 
 clean: clean_client clean_plugin clean_man
-	find . -type f -name '*.o' -exec rm -vf {} +
-	find . -type f -name 'moc_*.cpp' -exec rm -vf {} +
-	find . -type f -name 'ui_*.h' -exec rm -vf {} +
-	find . -type f -name 'qrc_*.cpp' -exec rm -vf {} +
+	find . -type f -maxdepth 2 -name '*.o' -exec rm -vf {} +
+	find . -type f -maxdepth 2 -name 'moc_*.cpp' -exec rm -vf {} +
+	find . -type f -maxdepth 2 -name 'ui_*.h' -exec rm -vf {} +
+	find . -type f -maxdepth 2 -name 'qrc_*.cpp' -exec rm -vf {} +
 	rm -f x2goclient
 	rm -f x2goclient.tag

=== debian/changelog ===
x2goclient (3.99.2.1-5~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Mar 2013 06:33:00 +0100

x2goclient (3.99.2.1-5) unstable; urgency=low

  * /debian/rules:
    + Undo replacing of /svg/x2gologo.svg. (Closes: #693710).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 04 Mar 2013 06:03:26 +0100

x2goclient (3.99.2.1-4) unstable; urgency=low

  * /debian/007_fix-desktop-file-version.patch:
    - Add missing patch header.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 19 Jan 2013 11:35:40 +0100

x2goclient (3.99.2.1-3) unstable; urgency=low

  * /debian/README.source (new):
    + Add information about upstream changelog.
    + Add information about the icon update and replacement mechanism.
  * Replace some faulty icons by icons from an icon update set provided by
    upstream. This fixes bad icon visibility on desktops that use a dark theme.
    (Closes: #693710).
  * /debian/source/include-binaries (new):
    + Explicitly allow to-be-updated-during-build PNG files in /debian folder.
  * /debian/rules:
    + Cleanup build cruft during clean: x2goclient_*.qm files.
  * Add patch: 007_fix-desktop-file-version.patch. Wrong usage of field,
    originally contains upstream version. Replacing that with the version
    of the desktop file format in use (i.e. 1.0).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 19 Jan 2013 11:06:05 +0100

x2goclient (3.99.2.1-2) unstable; urgency=low

  * /debian/copyright:
    + Set copyright format to v1.0.
  * /debian/control:
    + Orthographical and grammatical fixes in description texts.
  * Fix patch: 001_hardening-x2goclient.patch, provide CPPFLAGS for
    QMAKE_CFLAGS, as well. Provide CPPFLAGS first.
  * Add patches: 004_allow-login-to-non-sh-users.patch and
    005_xinerama-for-non-sh-users.patch. Fix x2goclient for users that use
    a non-sh shell (e.g. like tcsh) on the X2Go Server. (Closes: #682839).
  * Add patch: 006_fix-x2goplugin.patch. Fixes host name resolving when
    client is run in X2Go Plugin mode.  Fixes session crashes directly
    after session startup. Let the plugin tolerate whitespace at the beginning
    of session profile configs. (Closes: #692555, #696524, #696529).
  * Add example file: x2goplugin.html.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Dec 2012 21:36:55 +0100

x2goclient (3.99.2.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Jul 2012 09:53:47 +0200

x2goclient (3.99.2.1-1) unstable; urgency=low

  * New upstream release.
  * Adapt watch file rule to upstream tarball naming scheme changes.
  * Use dpkg-buildflags to harden x2goclient and libx2goplugin.so.
  * Add patch: 001_hardening-x2goclient.patch, make upstream Makefile
    draw in QMAKE_* variables for build flags.
  * Add patch: 002_remove-encoding-from-desktop-entry.patch, encoding keys in
    .desktop files have become deprecated (FreeDesktop.org).
  * Add patch: 003_fix-spelling-error-authentication.patch, fix the spelling
    of the word authentication.
  * Also add upstream changelog to bin:package x2goplugin.
  * Do not ship html version of man page anymore
  * Drop AUTHORS file from x2goclient's doc folder.
  * Drop AUTHORS file from x2goplugin's doc folder.
  * Update /debian/copyright: fix licensing years, add license for
    Makefile.docupload.
  * Enable --parallel build options in /debian/rules.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 12 Jun 2012 00:15:18 +0200

x2goclient (3.99.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.3.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 04 Apr 2012 11:52:07 +0200

x2goclient (3.99.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 08 Mar 2012 08:37:14 +0100

x2goclient (3.99.1.0-1) unstable; urgency=low

  * New upstream release.
  * License change (LGPL-2 -> GPL-2+) by upstream on files:
    - sshmasterconnection.*
    - sshprocess.h
  * Update upstream changelog. 

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 Feb 2012 21:51:45 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wiki.x2go.org/
 Vcs-Git: git://git.debian.org/collab-maint/x2go/x2goclient.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/x2goclient.git;a=summary
@@ -34,9 +34,10 @@
 Description: X2Go Client application (Qt4)
  X2Go is a serverbased computing environment with
     - session resuming
-    - low bandwith support
+    - low bandwidth support
     - LDAP support
-    - client side mass storage mounting support
+    - client-side mass storage mounting support
+    - client-side printing support
     - audio support
     - authentication by smartcard and USB stick
  .
@@ -58,9 +59,10 @@
 Description: X2Go Client (Qt4) as browser plugin
  X2Go is a serverbased computing environment with
     - session resuming
-    - low bandwith support
+    - low bandwidth support
     - LDAP support
-    - client side mass storage mounting support
+    - client-side mass storage mounting support
+    - client-side printing support
     - audio support
     - authentication by smartcard and USB stick
  .

=== debian/watch ===
version=3
http://code.x2go.org/releases/source/x2goclient/x2goclient-(.+)\.tar\.gz

## x2goclient 4.0.1.0

=== debian/changelog ===
x2goclient (4.0.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #682852, #703324).
  * Add bin:package x2goplugin-provider. An example package that shows how to
    set up a site providing session profiles to X2Go Plugin via html based
    configuration.
  * /debian/control:
    + Use my DD mail address in Uploaders: field.
    + Bump Standards: to 3.9.4. No changes needed.
  * /debian/copyright:
    + Use my DD mail address in copyright notice for /debian/*.
    + Add OpenSSL exception.
  * /debian/patches:
    + Drop all patches, all fixes have been incorporated by upstream.
  * /debian/x2goplugin.examples:
    + Drop x2goplugin.html example. Has its own bin:package now.
  * /debian/README.source et al.:
    + Drop merged-in icons/SVGs from package (see #697310). Upstream devs have
      finally fixed their artwork files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Mar 2013 00:57:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
 Uploaders:
- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
- Reinhard Tartler <siretart@tauware.de>
+ Mike Gabriel <sunweaver@debian.org>,
+ Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  debhelper (>= 7.0.50~),
  libqt4-dev,
@@ -14,7 +14,7 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://wiki.x2go.org/
 Vcs-Git: git://git.debian.org/collab-maint/x2go/x2goclient.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/x2goclient.git;a=summary
@@ -70,3 +70,24 @@
  You can use it to connect to running sessions and start new sessions.
  .
  This package provides x2goclient as QtBrowser-based Mozilla plugin.
+
+Package: x2goplugin-provider
+Architecture: all
+Depends:
+ ${misc:Depends},
+Recommends:
+ httpd | apache2,
+Suggests:
+ x2goplugin,
+Description: Provide X2Go Plugin via Apache webserver
+ X2Go is a serverbased computing environment with
+    - session resuming
+    - low bandwidth support
+    - LDAP support
+    - client side mass storage mounting support
+    - client side printing support
+    - audio support
+    - authentication by smartcard and USB stick
+ .
+ This package provides an example configuration for providing
+ the X2Go Plugin via an Apache webserver.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	# clean stray .qm files that are not handled by clean rule in upstream Makefile
	rm -Rf x2goclient_*.qm

override_dh_auto_install:

## x2goclient 4.0.1.1

=== Makefile ===
--- 
+++ 
@@ -29,22 +29,22 @@
 
 build_client:
 	lrelease x2goclient.pro
-	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && qmake-qt4 ../x2goclient.pro
+	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && qmake-qt4 QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
 	cd $(CLIENT_DIR) && $(MAKE)
 
 build_plugin:
 	lrelease x2goclient.pro
-	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin qmake-qt4 ../x2goclient.pro
+	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin qmake-qt4 QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
 	cd $(PLUGIN_DIR) && $(MAKE)
 
 build_man:
 	${MAKE} -f Makefile.man2html build
 
 clean: clean_client clean_plugin clean_man
-	find . -type f -maxdepth 2 -name '*.o' -exec rm -vf {} +
-	find . -type f -maxdepth 2 -name 'moc_*.cpp' -exec rm -vf {} +
-	find . -type f -maxdepth 2 -name 'ui_*.h' -exec rm -vf {} +
-	find . -type f -maxdepth 2 -name 'qrc_*.cpp' -exec rm -vf {} +
+	find . -maxdepth 2 -name '*.o' -exec rm -vf {} + -type f
+	find . -maxdepth 2 -name 'moc_*.cpp' -exec rm -vf {} + -type f
+	find . -maxdepth 2 -name 'ui_*.h' -exec rm -vf {} + -type f
+	find . -maxdepth 2 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
 	rm -f x2goclient
 	rm -f x2goclient.tag

=== debian/changelog ===
x2goclient (4.0.1.1-1~bpo7+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.
    + Drop dh-apache2 build logic.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Sep 2013 09:55:09 +0200

x2goclient (4.0.1.1-1) unstable; urgency=low

  * New upstream release.
  * /debian/control:
    + Hyphenation fix in long description.
    + Add RDP clients (rdesktop, freerdp-x11) to Recommends: fields (x2goclient,
      x2goplugin).
    + Append comma to multi-line fields (event to the last line).
    + Update LONG_DESCRIPTION texts.
    + Build-Depend on apache2-dev (FIXME later: dh_apache2 and maintenance
      scripts will be moved into the regular debhelper package some time).
    + Alioth-canonicalize Vcs-*: fields.
  * /debian/rules:
    + Add bin:package: x2goclient-dbg.
  * Fix lintian issues:
    + W: x2goplugin-provider:
         apache2-reverse-dependency-uses-obsolete-directory
         etc/apache2/conf.d/x2goplugin.conf
    + W: x2goplugin-provider: non-standard-apache2-configuration-name
         x2goplugin.conf != x2goplugin-provider.conf
    + E: x2goplugin: unstripped-binary-or-object
         usr/lib/mozilla/plugins/libx2goplugin.so
    + I: x2goplugin: binary-has-unneeded-section
         usr/lib/mozilla/plugins/libx2goplugin.so .comment
  * Use dh_apache2 for building bin:package x2goplugin-provider.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2013 13:37:14 +0000

=== debian/control ===
Source: x2goclient
Section: x11
Priority: extra
Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
Build-Depends:
 debhelper (>= 7.0.50~),
 libqt4-dev,
 libldap2-dev,
 libssh-dev (>= 0.4.7),
 libcups2-dev,
 libx11-dev,
 libxpm-dev,
 man2html-base | man2html,
Standards-Version: 3.9.4
Homepage: http://wiki.x2go.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/x2goclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/x2goclient.git;a=summary

Package: x2goclient
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libssh-4 (>= 0.4.7),
 openssh-client,
 nxproxy,
Recommends:
 openssh-server,
 rdesktop | freerdp-x11,
Suggests:
 pinentry-x2go,
Description: X2Go Client application (Qt4)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.

Package: x2goplugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssh-client,
 libssh-4 (>= 0.4.7),
 nxproxy,
Recommends:
 openssh-server,
 rdesktop | freerdp-x11,
Suggests:
 pinentry-x2go,
Description: X2Go Client (Qt4) as browser plugin
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.
 .
 This package provides X2Go Client as QtBrowser-based Mozilla plugin.

Package: x2goplugin-provider
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 apache2 | httpd,
Suggests:
 x2goplugin,
Description: Provide X2Go Plugin via Apache webserver
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package provides an example configuration for providing
 the X2Go Plugin via an Apache webserver.

Package: x2goclient-dbg
Section: debug
Architecture: any
Depends:
 ${misc:Depends},
 x2goclient (= ${binary:Version}),
Description: X2Go Client application (Qt4), debug symbols
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt4) for the X2Go system.
 You can use it to connect to running sessions and start new sessions
 .
 This package provides the debug symbols for the X2Go Client application.

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,10 @@
 	rm -Rf x2goclient_*.qm
 
 override_dh_auto_install:
+	mv plugin_build/libx2goplugin.so plugin_build/libx2goplugin.so.unstripped
+	strip -s --remove-section=.comment --remove-section=.note \
+	         plugin_build/libx2goplugin.so.unstripped -o plugin_build/libx2goplugin.so
+	rm -f plugin_build/libx2goplugin.so.unstripped
+
+override_dh_strip:
+	dh_strip -p x2goclient --dbg-package=x2goclient-dbg

## x2goclient 4.0.2.1

=== debian/changelog ===
x2goclient (4.0.2.1-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    + Drop 1001_fix-ftbfs-arm64.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Aug 2014 18:39:06 +0000

x2goclient (4.0.2.0-2) unstable; urgency=low

  * Tested against libssh 0.6.3. (Closes: #739496).

  * debian/patches:
    + Fix FTBFS on arm64 architecture (and other newer archs). (Closes:
      #747638).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 May 2014 11:03:22 +0200

x2goclient (4.0.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Raise versioned B-D: libssh (>= 0.5.4-2~).
    + Bump Standards: to 3.9.5. No changes needed.
    + Provide dbg:package for X2Go Plugin.
    + Make sure very old x2goclient-gtk instances get uninstalled when updating
      to X2Go Client 4.0.2.0.
    + Don't directly recommend apache2.
  * debian/rules:
    + Make upstream ChangeLog available for X2Go Client build.
    + Drop manually stripping symbols from libx2goplugin.so.
  * upstream changelog:
    + Stop shipping upstream changelog in debian/ folder. Upstream provides it
      now in their source tarballs.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 May 2014 18:57:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
+ apache2-dev,
  debhelper (>= 7.0.50~),
  libqt4-dev,
  libldap2-dev,
- libssh-dev (>= 0.4.7),
+ libssh-dev (>= 0.5.4-2~),
  libcups2-dev,
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://wiki.x2go.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/x2goclient.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/x2goclient.git;a=summary
@@ -24,7 +25,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libssh-4 (>= 0.4.7),
  openssh-client,
  nxproxy,
 Recommends:
@@ -32,6 +32,10 @@
  rdesktop | freerdp-x11,
 Suggests:
  pinentry-x2go,
+Conflicts:
+ x2goclient-gtk,
+Replaces:
+ x2goclient-gtk,
 Description: X2Go Client application (Qt4)
  X2Go is a serverbased computing environment with
     - session resuming
@@ -51,7 +55,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  openssh-client,
- libssh-4 (>= 0.4.7),
  nxproxy,
 Recommends:
  openssh-server,
@@ -78,7 +81,7 @@
 Depends:
  ${misc:Depends},
 Recommends:
- apache2 | httpd,
+ httpd | apache2,
 Suggests:
  x2goplugin,
 Description: Provide X2Go Plugin via Apache webserver
@@ -100,7 +103,7 @@
 Depends:
  ${misc:Depends},
  x2goclient (= ${binary:Version}),
-Description: X2Go Client application (Qt4), debug symbols
+Description: X2Go Client application (Qt4), debug symbols (client)
  X2Go is a serverbased computing environment with
     - session resuming
     - low bandwidth support
@@ -115,3 +118,24 @@
  .
  This package provides the debug symbols for the X2Go Client application.
 
+Package: x2goplugin-dbg
+Section: debug
+Architecture: any
+Depends:
+ ${misc:Depends},
+ x2goplugin (= ${binary:Version}),
+Description: X2Go Client application (Qt4), debug symbols (plugin)
+ X2Go is a serverbased computing environment with
+    - session resuming
+    - low bandwidth support
+    - session brokerage support
+    - client-side mass storage mounting support
+    - client-side printing support
+    - audio support
+    - authentication by smartcard and USB stick
+ .
+ X2Go Client is a graphical client (Qt4) for the X2Go system.
+ You can use it to connect to running sessions and start new sessions
+ .
+ This package provides the debug symbols for the QtBrowser-based Mozilla
+ X2Go Client plugin.

## x2goclient 4.0.3.1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 INSTALL_DIR=install -d -o root -g root -m 755
 INSTALL_FILE=install -o root -g root -m 644
+INSTALL_SYMLINK=ln -s -f
 INSTALL_PROGRAM=install -o root -g root -m 755
 
 RM_FILE=rm -f
@@ -18,35 +19,46 @@
 
 DESTDIR=
 PREFIX=/usr/local
+ETCDIR=/etc/x2go
 BINDIR=$(PREFIX)/bin
 SHAREDIR=$(PREFIX)/share
 MANDIR=$(SHAREDIR)/man
 MOZPLUGDIR=$(PREFIX)/lib/mozilla/plugins
+QMAKE_BINARY=qmake-qt4
+LRELEASE_BINARY=lrelease-qt4
+
+LDFLAGS+=-lldap -lcups -lX11 -lXpm
 
 all: build
 
-build: build_client build_plugin build_man
+build: build_man build_pluginprovider
+	$(MAKE) build_client
+	$(MAKE) build_plugin
 
 build_client:
-	lrelease x2goclient.pro
-	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && qmake-qt4 QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
+	$(LRELEASE_BINARY) x2goclient.pro
+	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
 	cd $(CLIENT_DIR) && $(MAKE)
 
 build_plugin:
-	lrelease x2goclient.pro
-	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin qmake-qt4 QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
+	$(LRELEASE_BINARY) x2goclient.pro
+	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" ../x2goclient.pro
 	cd $(PLUGIN_DIR) && $(MAKE)
+
+build_pluginprovider:
 
 build_man:
 	${MAKE} -f Makefile.man2html build
 
-clean: clean_client clean_plugin clean_man
+clean: clean_client clean_plugin clean_man clean_pluginprovider
 	find . -maxdepth 2 -name '*.o' -exec rm -vf {} + -type f
 	find . -maxdepth 2 -name 'moc_*.cpp' -exec rm -vf {} + -type f
 	find . -maxdepth 2 -name 'ui_*.h' -exec rm -vf {} + -type f
 	find . -maxdepth 2 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
 	rm -f x2goclient
 	rm -f x2goclient.tag
+	rm -f txt/changelog
+	rm -f txt/git-info
 
 clean_client:
 	rm -fr $(CLIENT_DIR)
@@ -54,10 +66,12 @@
 clean_plugin:
 	rm -fr $(PLUGIN_DIR)
 
+clean_pluginprovider:
+
 clean_man:
 	make -f Makefile.man2html clean
 
-install: install_client install_plugin install_man
+install: install_client install_plugin install_man install_pluginprovider
 
 install_client:
 	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
@@ -80,6 +94,13 @@
 install_plugin:
 	$(INSTALL_DIR) $(DESTDIR)$(MOZPLUGDIR)/
 	$(INSTALL_PROGRAM) $(PLUGIN_DIR)/libx2goplugin.so $(DESTDIR)$(MOZPLUGDIR)/libx2goplugin.so
+
+install_pluginprovider:
+	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/plugin-provider
+	$(INSTALL_FILE) provider/etc/x2goplugin-apache.conf $(DESTDIR)$(ETCDIR)/x2goplugin-apache.conf
+	$(INSTALL_FILE) provider/share/x2goplugin.html $(DESTDIR)$(ETCDIR)/plugin-provider/x2goplugin.html
+	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2go/plugin/
+	$(INSTALL_SYMLINK) ../../../../$(ETCDIR)/plugin-provider/x2goplugin.html $(DESTDIR)$(SHAREDIR)/x2go/plugin/x2goplugin.html
 
 install_man:
 	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
@@ -110,6 +131,15 @@
 	$(RM_FILE) $(MOZPLUGDIR)/libx2goplugin.so
 	$(RM_DIR) $(MOZPLUGDIR)/
 
+uninstall_pluginprovider:
+	$(RM_FILE) $(ETCDIR)/x2goplugin-apache.conf
+	$(RM_FILE) $(ETCDIR)/plugin-provider/x2goplugin.html
+	$(RM_DIR) $(ETCDIR)/plugin-provider
+	$(RM_DIR) $(ETCDIR)
+	$(RM_FILE) $(SHAREDIR)/x2go/plugin/x2goplugin.html
+	$(RM_DIR) $(SHAREDIR)/x2go/plugin/
+	$(RM_DIR) $(SHAREDIR)/x2go/
+
 uninstall_man:
 	$(RM_FILE) $(MANDIR)/man1/x2goclient.1.gz
 	$(RM_DIR) $(MANDIR)/man1

=== x2gohelper/Makefile ===
all:
	g++ -mwindows -o ../release/x2gohelper.exe x2gohelper.cpp
clean:
	del ..\release\x2gohelper.exe

=== debian/changelog ===
x2goclient (4.0.3.1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0005_really-logout-from-broker-after-logout.patch. Really log-off a
      user if --broker-autologoff is used. (Closes: #777314).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Feb 2015 13:03:04 +0100

x2goclient (4.0.3.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0003_use-app-setQuitOnLastWindowClose-false-for-X2GoClient-
      application.patch. Prevent X2Go Client from exiting abnormally on
      printing incoming printjobs via the print dialog window. (Closes:
      #774907).
    + Add 0004-fix-quoting+escaping-ssh-commands.patch. Fix quotes when calling
      remote commands via SSH (esp. allow same quoting/ escaping style for
      libssh and openSSH+Krb based connections). (Closes: #774998).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Jan 2015 21:57:45 +0100

x2goclient (4.0.3.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_use-QUrl::toPercentEncoding-for-encoding-broker-passwords.patch.
      Correctly encode passwords before sending them to the session broker via
      http(s). (Closes: #773348).
    + Add 0002_fix-GUI-for-session-profile-subfolders.patch. Fix a GUI
      layout/resizing issue for session profiles with profile subfolders.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Jan 2015 05:57:53 +0100

x2goclient (4.0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix (cross-)user desktop sharing / helpdesk functionality (Closes:
      #770963).
    - Split up session profile dialog's "Settings" tab into a "Input/Output"
      tab and a media tab (Closes: #770962).
    - If a session broker is used with X2Go Client, allow configuration of
      audio settings through the broker.
    - Greatly improved man page.
    - Updated (upstream) translation files.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 27 Nov 2014 11:09:10 +0100

x2goclient (4.0.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Provide clipboard mode option for session profiles. (Closes: #714588).
  * debian/copyright:
    + Update one copyright date for debian/*.
  * debian/control:
    + Bump Standards: to 3.9.6.
  * debian/watch:
    + Add cryptographic signature verification for upstream tarball.
  * debian/patches:
    + Add 1001_deprecated-apache2-config.patch. Use IfVersion tag to detect
      installed Apache2 version.
  * debian/README.source:
    + Drop deprecated description (i.e. remove this file).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Oct 2014 13:20:57 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wiki.x2go.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/x2goclient.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/x2goclient.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/x2goclient.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2goclient.git;a=summary
 
 Package: x2goclient
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel --with apache2

override_dh_auto_configure:
	cp ChangeLog txt/changelog
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	# clean stray .qm files that are not handled by clean rule in upstream Makefile
	rm -Rf x2goclient_*.qm
	rm -f txt/changelog

override_dh_strip:
	dh_strip -p x2goclient --dbg-package=x2goclient-dbg
	dh_strip -p x2goplugin --dbg-package=x2goplugin-dbg

override_dh_apache2:
	dh_apache2 --noscripts

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://code.x2go.org/releases/source/x2goclient/x2goclient-(.+)\.tar\.gz

## x2goclient 4.0.4.0

=== debian/changelog ===
x2goclient (4.0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Add get-orig-source rule.
    + Adapt override_dh_auto_clean rule to path changes in this upstream
      release.
  * debian/copyright:
    + Update copyright years to latest upstream version. Update src:path
      of the browser plugin code.
  * debian/patches:
    + Drop all 000?_*.patch files. All applied upstream.
        0001_use-QUrl::toPercentEncoding-for-encoding-broker-passwords.patch
        0002_fix-GUI-for-session-profile-subfolders.patch
        0003_use-app-setQuitOnLastWindowClose-false-for-X2GoClient-
	  application.patch
        0004-fix-quoting+escaping-ssh-commands.patch
        0005_really-logout-from-broker-after-logout.patch
    + Modify 1001_deprecated-apache2-config.patch. Only support Apache2.4
      syntax.
    + Add 1002_man-page-fixes.patch. Fix several hyphen-used-as-minus-sign
      issues.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Jun 2015 21:02:58 +0200

## x2goclient 4.0.5.0

=== debian/changelog ===
x2goclient (4.0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jul 2015 17:54:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,9 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	# clean stray .qm files that are not handled by clean rule in upstream Makefile
-	rm -Rf x2goclient_*.qm
-	rm -f txt/changelog
+	mkdir -p txt/
+	rm -Rf res/i18n/x2goclient_*.qm
+	rm -f  res/txt/changelog
 
 override_dh_strip:
 	dh_strip -p x2goclient --dbg-package=x2goclient-dbg
@@ -24,3 +25,6 @@
 
 override_dh_apache2:
 	dh_apache2 --noscripts
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

## x2goclient 4.0.5.1

=== debian/changelog ===
x2goclient (4.0.5.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * debian/patches:
    + Add libssh-regression-fix-CVE-2019-14889.patch. In src/sshprocess.cpp:
      strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from destination paths
      in scp mode. Fixes: #1428. This was already necessary for pascp (PuTTY-
      based Windows solution for Kerberos support), but newer libssh versions
      with the CVE-2019-14889 also interpret paths as literal strings.
      (LP: #1856795).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 Dec 2019 21:11:41 +0100

x2goclient (4.0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Be more strict on the version regexp. Don't find releases for MacOS X.
  * debian/control:
    + Use encrypted URLs in VCS-*: fields.
    + Bump Standards: to 3.9.7. No changes needed.
    + Add versioned B-D: dpkg-dev (>= 1.16.1.1).
  * debian/patches:
    + Drop 1002_man-page-fixes.patch. Applied upstream.
  * debian/copyright:
    + Update years in Copyright: fields.
    + Place license texts at end of file.
  * debian/{compat,control}:
    + Use DH version level 9.
  * debian/rules:
    + Enable all hardening flags.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Apr 2016 13:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: x2goclient
 Section: x11
 Priority: extra
-Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  apache2-dev,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
+ dpkg-dev (>= 1.16.1.1),
  libqt4-dev,
  libldap2-dev,
  libssh-dev (>= 0.5.4-2~),
@@ -15,10 +17,10 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://wiki.x2go.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/x2goclient.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2goclient.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/x2goclient.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/x2goclient.git
 
 Package: x2goclient
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
 
-export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
-export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --parallel --with apache2

## x2goclient 4.0.5.2

=== debian/changelog ===
x2goclient (4.0.5.2-2+deb9u1) stretch; urgency=medium

  * debian/patches:
    + Add libssh-regression-fix-CVE-2019-14889.patch. In src/sshprocess.cpp:
      strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from destination paths
      in scp mode. Fixes: #1428. This was already necessary for pascp (PuTTY-
      based Windows solution for Kerberos support), but newer libssh versions
      with the CVE-2019-14889 also interpret paths as literal strings.
      (Closes: #947129).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Dec 2019 14:53:58 +0100

x2goclient (4.0.5.2-2) unstable; urgency=medium

  * Rebuild against libssl1.0-dev (via libssh-dev 0.7.3-2).
    (Closes: #844825).
  * debian/control:
    + New maintenance umbrella: Debian Remote Maintainers team.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Nov 2016 08:31:54 +0100

x2goclient (4.0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2016 14:08:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: x2goclient
 Section: x11
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -17,10 +16,10 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://wiki.x2go.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/x2goclient.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/x2goclient.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
 
 Package: x2goclient
 Architecture: any

## x2goclient 4.1.0.0

=== debian/changelog ===
x2goclient (4.1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Recognize upstream versions with two (or more) digits in any of the
      release numberlets.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 10.
  * debian/rules:
    + Enable dh_missing --fail-missing.
  * debian/{rules,*.install}:
    + Use upstream's Makefile for installing files into the bin:packages.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Jun 2017 11:02:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  apache2-dev,
- debhelper (>= 9~),
+ debhelper (>= 10~),
  dpkg-dev (>= 1.16.1.1),
  libqt4-dev,
  libldap2-dev,
@@ -16,7 +16,7 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://wiki.x2go.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_auto_configure:
 	cp ChangeLog txt/changelog
 	dh_auto_configure
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -25,5 +28,8 @@
 override_dh_apache2:
 	dh_apache2 --noscripts
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## x2goclient 4.1.0.1

=== debian/changelog ===
x2goclient (4.1.0.1-2) unstable; urgency=medium

  * debian/control:
    + Comply with policy version 4.1.0; Switch from Priority: extra to Priority:
      optional. Thanks to Unit193 for pointing that out.
  * debian/patches:
    + Add 1002_fix-ftbfs-on-non-linux.patch. Fix FTBFS on Debian GNU/kFreeBSD
      and Debian GNU/Hurd.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 01 Oct 2017 20:14:31 +0200

x2goclient (4.1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.
  * debian/{control,rules}:
    + Don't ship dbg:packages manually, switch to automated builds of
      dbgsym:packages.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Sep 2017 19:38:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: x2goclient
 Section: x11
-Priority: extra
+Priority: optional
 Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
@@ -16,7 +16,7 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: http://wiki.x2go.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
@@ -97,46 +97,3 @@
  .
  This package provides an example configuration for providing
  the X2Go Plugin via an Apache webserver.
-
-Package: x2goclient-dbg
-Section: debug
-Architecture: any
-Depends:
- ${misc:Depends},
- x2goclient (= ${binary:Version}),
-Description: X2Go Client application (Qt4), debug symbols (client)
- X2Go is a serverbased computing environment with
-    - session resuming
-    - low bandwidth support
-    - session brokerage support
-    - client-side mass storage mounting support
-    - client-side printing support
-    - audio support
-    - authentication by smartcard and USB stick
- .
- X2Go Client is a graphical client (Qt4) for the X2Go system.
- You can use it to connect to running sessions and start new sessions
- .
- This package provides the debug symbols for the X2Go Client application.
-
-Package: x2goplugin-dbg
-Section: debug
-Architecture: any
-Depends:
- ${misc:Depends},
- x2goplugin (= ${binary:Version}),
-Description: X2Go Client application (Qt4), debug symbols (plugin)
- X2Go is a serverbased computing environment with
-    - session resuming
-    - low bandwidth support
-    - session brokerage support
-    - client-side mass storage mounting support
-    - client-side printing support
-    - audio support
-    - authentication by smartcard and USB stick
- .
- X2Go Client is a graphical client (Qt4) for the X2Go system.
- You can use it to connect to running sessions and start new sessions
- .
- This package provides the debug symbols for the QtBrowser-based Mozilla
- X2Go Client plugin.

## x2goclient 4.1.1.0

=== debian/changelog ===
x2goclient (4.1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch. Drop non-required sys/mount.h
      include.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Nov 2017 09:54:27 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: http://wiki.x2go.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 	rm -f  res/txt/changelog
 
 override_dh_strip:
-	dh_strip -p x2goclient --dbg-package=x2goclient-dbg
-	dh_strip -p x2goplugin --dbg-package=x2goplugin-dbg
+	dh_strip -p x2goclient --dbgsym-migration='x2goclient-dbg (<< 4.1.0.1-1~)'
+	dh_strip -p x2goplugin --dbgsym-migration='x2goplugin-dbg (<< 4.1.0.1-1~)'
 
 override_dh_apache2:
 	dh_apache2 --noscripts

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://code.x2go.org/releases/source/x2goclient/x2goclient-(\d+\.\d+\.\d+\.\d+)\.tar\.gz
